aboutsummaryrefslogtreecommitdiff
path: root/webui.sh
diff options
context:
space:
mode:
authorAUTOMATIC1111 <16777216c@gmail.com>2023-05-27 19:56:18 +0300
committerGitHub <noreply@github.com>2023-05-27 19:56:18 +0300
commit348abeb99d1f5fd81a12b28b757a41282c7fa863 (patch)
tree22514b35c7ccea5df92416864d803bf8571fd251 /webui.sh
parentba812b449534be49527b88e653a88ac1a1703d0e (diff)
parentbdc371983ea817547378fd2232ff0eb22bb315fa (diff)
Merge pull request #10722 from maybe-hello-world/master
Download ROCm for AMD GPU only if NVIDIA is not presented
Diffstat (limited to 'webui.sh')
-rwxr-xr-xwebui.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/webui.sh b/webui.sh
index bf27c7dd..607557b1 100755
--- a/webui.sh
+++ b/webui.sh
@@ -124,9 +124,12 @@ case "$gpu_info" in
*)
;;
esac
-if echo "$gpu_info" | grep -q "AMD" && [[ -z "${TORCH_COMMAND}" ]]
+if ! echo "$gpu_info" | grep -q "NVIDIA";
then
- export TORCH_COMMAND="pip install torch==2.0.1+rocm5.4.2 torchvision==0.15.2+rocm5.4.2 --index-url https://download.pytorch.org/whl/rocm5.4.2"
+ if echo "$gpu_info" | grep -q "AMD" && [[ -z "${TORCH_COMMAND}" ]]
+ then
+ export TORCH_COMMAND="pip install torch==2.0.1+rocm5.4.2 torchvision==0.15.2+rocm5.4.2 --index-url https://download.pytorch.org/whl/rocm5.4.2"
+ fi
fi
for preq in "${GIT}" "${python_cmd}"